Error de SharePoint 2013 o instalación de Project Server 2013 si la 4.6 de.NET Framework está instalado

Síntomas

Cuando ejecuta Microsoft SharePoint Foundation 2013 con 1 instalación del Service Pack, SharePoint Server 2013 con la instalación del Service Pack 1 o 2013 de Project Server con la instalación del Service Pack 1 en un equipo que tiene la 4.6, 4.6.1 y 4.6.2 instalado de Microsoft.NET Framework, recibirá el siguiente mensaje de error:
El programa de instalación es no puede continuar debido a los siguientes errores:
Este producto requiere Microsoft .net Framework 4.5.

Causa

Este problema se produce porque los programas de instalación de SharePoint y Project Server no reconoce el.NET Framework 4.6, 4.6.1 y 4.6.2 como una versión compatible de la de.NET Framework.

Solución

Para resolver este problema, siga estos pasos:

  1. Extraiga el medio de instalación a una ubicación de escritura.

    • Si el medio de instalación es un archivo ejecutable (.exe), extraiga los archivos y carpetas desde el archivo ejecutable a una ubicación de escritura por ejecutando el comando siguiente en un símbolo del sistema:

      <executable file name> /extract:<path to writable location> 
      Por ejemplo, ejecute el comando siguiente:

      sharepoint.exe /extract:C:\SharePointInstaller 
    • Si el medio de instalación es una imagen de disco ISO o IMG (.iso o .img), montar la imagen de disco y, a continuación, copiar los archivos y carpetas de la imagen de disco a una ubicación de escritura.
  2. Descargue el archivo comprimido (.zip) que contiene la solución que coincide con el producto que está instalando:

  3. Abra el archivo zip.
  4. Copie el archivo de soporte de instalación siguiente, según corresponda, del archivo .zip en la carpeta "updates" de la escritura.

    • SharePoint Foundation 2013 con Service Pack 1: wsssetup.dll
    • 2013 de SharePoint Server con Service Pack 1: svrsetup.dll
    • Proyecto de 2013 Server con Service Pack 1: svrsetup.dll
  5. Ejecute Setup.exe desde la ubicación de escritura para iniciar la instalación de SharePoint o la instalación de Project Server. El programa de instalación utilizará el archivo de ayuda que contiene la solución que se han copiado a la carpeta "updates".

Solución alternativa

Si no puede utilizar el método de revisión que se proporciona en la sección "Resolución", está disponible un método alternativo de solución.

Para evitar este problema, asegúrese de que la 4.6, 4.6.1 y 4.6.2 de.NET Framework no está instalado cuando ejecuta el programa de instalación de SharePoint.

Si la 4.6, 4.6.1 y 4.6.2 de Microsoft.NET Framework ya está instalado, siga estos pasos:
  1. Desinstalar el.NET Framework 4.6, 4.6.1 y 4.6.2. Para ello, vaya a la ubicación específica de su sistema operativo, como se muestra en los siguientes artículos en Microsoft Knowledge Base:
    Instalador offline de 3151800 the.NET Framework 4.6.2 para Windows
    Instalador offline de the.NET Framework 4.6.1 3102436 para Windows
    3045557 Microsoft.NET Framework 4.6 (instalador Offline) para Windows
    Nota: En Windows Server 2012 o R2 de Windows Server 2012, el.NET Framework es un componente del sistema operativo y no se puede desinstalar de forma independiente. Actualizaciones en el.NET Framework aparecen en la ficha Actualizaciones instaladas del Panel de Control programas y características de la aplicación. Para los sistemas operativos con el.NET Framework no está preinstalado, el.NET Framework aparece en la ficha Desinstalar o cambiar un programa (o en la ficha Agregar o quitar programas ) de la aplicación del programa y características en el Panel de Control. Consulte solución de problemas de instalaciones de.NET Framework bloqueado y las desinstalaciones y los artículos de Microsoft Knowledge Base enumerados anteriormente para obtener más información.
  2. Reinicie el equipo.
  3. Instale el Instalador de web para el.NET Framework 4.5.2.
  4. Ejecute el programa de instalación de SharePoint para instalar SharePoint.
Después de que SharePoint está instalado correctamente, puede actualizar desde el.NET Framework 4.5.2 a la 4.6, 4.6.1 y 4.6.2 de.NET Framework.

Más información

Aunque reciba el mensaje de error durante la instalación, 2013 de SharePoint Foundation y SharePoint Server 2013 aún se admiten después de actualizar a la 4.6 de.NET Framework, el.NET Framework 4.6.1 o el.NET Framework 4.6.2.

Nota: El soporte formal para el.NET Framework 4.0, 4.5 y 4.5.1 terminó en enero de 2016.

Estado

Microsoft ha confirmado que se trata de un problema de los productos de Microsoft que se enumeran en la sección "Aplicable a".
Propiedades

Id. de artículo: 3087184 - Última revisión: 22 ene. 2017 - Revisión: 1

Microsoft SharePoint Server 2013, Microsoft SharePoint Foundation 2013, Microsoft Project Server 2013

Comentarios